import http from '@/http/http.js'

//  获取任务列表
export const selectTaskCenter = (data) => {
    return http.request({
        url: '/taskCenter/selectTaskCenter',
        data,
		showLoading:false
    })
} 
// 兑换列表
export const selectTaskCenterUserReward = (data) => {
	return http.request({
		url: '/taskCenterReward/selectTaskCenterUserReward',
		data,
		isreturm:true
	})
}
// 获取签到
export const getUserSignData = (data) => {
    return http.request({
        url: 'userSignRecord/getUserSignData',
        data,
		showLoading:false
    })
} 
export const receiveGoods = (data) => {
    return http.request({
        url: 'taskCenter/receiveGoods',
        data,
		method: 'POST',
    })
} 
//  任务-签到
export const taskReceive = (data) => {
    return http.request({
        url: 'taskCenter/taskReceive',
        data,
        isreturm:true
    })
} 

// 任务列表   
export const selectDiscSpinning = (data) => {
    return http.request({
        url: 'discSpinning/selectDiscSpinning',
        data,
    })
} 
